#include <bits/stdc++.h>
using namespace std;
int c, t, n, k;
vector<int> g[100005];
int main()
{
	freopen("traverse.in", "r", stdin);
	freopen("traverse.out", "w", stdout);
	scanf("%d%d", &c, &t);
	while(t--)
	{
		scanf("%d%d", &n, &k);
		for(int i = 1, u, v; i < n; i++)
		{
			scanf("%d%d", &u, &v);
		}
	}
	fclose(stdin);
	fclose(stdout);
	return 0;
}
